Mark whether a meeting happened
POST
/v1/workspace/meetings/{meeting_id}/outcome
const url = 'https://api.vocapable.com/v1/workspace/meetings/example/outcome';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"outcome":"completed","note":"example","next_action":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/meetings/example/outcome \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "outcome": "completed", "note": "example", "next_action": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”meeting_id
required
Meeting Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceMeetingSaved
object
meeting
required
WorkspaceMeeting
object
id
required
Id
string
host
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
start_at
required
Start At
string format: date-time
end_at
required
End At
string format: date-time
duration_minutes
required
Duration Minutes
integer
timezone
required
Timezone
string
status
required
Status
string
calendar
required
WorkspaceMeetingCalendar
Where the meeting lives outside Vocapable, if anywhere.
conference
required
Conference
boolean
reminder_state
required
Reminder State
string
reminder_note
required
Reminder Note
string
conflicts
required
origin
required
Origin
string
booking_version
required
Booking Version
integer
created_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
outcome_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
pending_operation
required
Any of:
WorkspaceMeetingOperation
The provider write in flight for this meeting (booking, move or cancellation).
null
actions
required
WorkspaceMeetingActions
object
can_edit
required
Can Edit
boolean
can_book
required
Can Book
boolean
can_reschedule
required
Can Reschedule
boolean
can_cancel
required
Can Cancel
boolean
can_mark_outcome
required
Can Mark Outcome
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
unchanged
required
Unchanged
boolean
message
required
Message
string
Example
{ "meeting": { "status": "draft", "status_reason": "slot_taken", "calendar": { "provider": "google_calendar" }, "reminder_state": "none", "conflicts": [ { "source": "calendar" } ], "origin": "workspace" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}